Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum ProviderPriority

    java.lang.Object
      java.lang.Enum<ProviderPriority>
          org.eclipse.gmf.codegen.gmfgen.ProviderPriority

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProviderPriority>, org.eclipse.emf.common.util.Enumerator

    public enum ProviderPriority

extends java.lang.Enum<ProviderPriority>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Provider Priority', and utility methods for working with them.

See Also:
  `GMFGenPackage.getProviderPriority()`
** Generated **
Model:

Enum Constant Summary
`HIGH_LITERAL` The 'High' literal object
`HIGHEST_LITERAL` The 'Highest' literal object
`LOW_LITERAL` The 'Low' literal object
`LOWEST_LITERAL` The 'Lowest' literal object
`MEDIUM_LITERAL` The 'Medium' literal object

Field Summary
`static int` `HIGH` The 'High' literal value
`static int` `HIGHEST` The 'Highest' literal value
`static int` `LOW` The 'Low' literal value
`static int` `LOWEST` The 'Lowest' literal value
`static int` `MEDIUM` The 'Medium' literal value
`static java.util.List<ProviderPriority>` `VALUES` A public read-only list of all the 'Provider Priority' enumerators

Method Summary
`static ProviderPriority` `get(int value)` Returns the 'Provider Priority' literal with the specified integer value
`static ProviderPriority` `get(java.lang.String literal)` Returns the 'Provider Priority' literal with the specified literal value
`static ProviderPriority` `getByName(java.lang.String name)` Returns the 'Provider Priority' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ProviderPriority` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProviderPriority[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOWEST_LITERAL

    public static final ProviderPriority LOWEST_LITERAL

  The 'Lowest' literal object.

  See Also:
    `LOWEST`
  ** Generated **
  Ordered:

### LOW_LITERAL

    public static final ProviderPriority LOW_LITERAL

  The 'Low' literal object.

  See Also:
    `LOW`
  ** Generated **
  Ordered:

### MEDIUM_LITERAL

    public static final ProviderPriority MEDIUM_LITERAL

  The 'Medium' literal object.

  See Also:
    `MEDIUM`
  ** Generated **
  Ordered:

### HIGH_LITERAL

    public static final ProviderPriority HIGH_LITERAL

  The 'High' literal object.

  See Also:
    `HIGH`
  ** Generated **
  Ordered:

### HIGHEST_LITERAL

    public static final ProviderPriority HIGHEST_LITERAL

  The 'Highest' literal object.

  See Also:
    `HIGHEST`
  ** Generated **
  Ordered:

Field Detail

### LOWEST

    public static final int LOWEST

  The 'Lowest' literal value.

  If the meaning of 'Lowest' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOWEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Lowest"

### LOW

    public static final int LOW

  The 'Low' literal value.

  If the meaning of 'Low' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Low"

### MEDIUM

    public static final int MEDIUM

  The 'Medium' literal value.

  If the meaning of 'Medium' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MEDIUM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Medium"

### HIGH

    public static final int HIGH

  The 'High' literal value.

  If the meaning of 'High' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HIGH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="High"

### HIGHEST

    public static final int HIGHEST

  The 'Highest' literal value.

  If the meaning of 'Highest' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HIGHEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Highest"

### VALUES

    public static final java.util.List<ProviderPriority> VALUES

  A public read-only list of all the 'Provider Priority' enumerators.

  ** Generated **

Method Detail

### values

    public static ProviderPriority[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProviderPriority c : ProviderPriority.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProviderPriority valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static ProviderPriority get(java.lang.String literal)

  Returns the 'Provider Priority' literal with the specified literal value.

  ** Generated **

### getByName

    public static ProviderPriority getByName(java.lang.String name)

  Returns the 'Provider Priority' literal with the specified name.

  ** Generated **

### get

    public static ProviderPriority get(int value)

  Returns the 'Provider Priority' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ProviderPriority>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.